'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './finish_resign.less';
import { Button } from "@grace/ui";
import { PageCtrl } from "@/core/ctrls/PageCtrl";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl";
import { SvgaPlayer } from '@grace/svgaplayer';

import lightSvga from "../../assets/svga/1通用弹窗氛围.svga";


@observer
class Finish_resign extends React.Component {
  constructor(props) {
    super(props);
  }

  handleclose = () => {
    ModalCtrl.closeModal();
  }

  handleknow = () => {
    ModalCtrl.closeModal();
  }

  render() {
    return (
      <div className="finish_resign modal_center">
        <span className="ditu"></span>
        <SvgaPlayer className="dongxiao" src={lightSvga}/>
        <span className="bg"></span>
        <Button className="close" onClick={this.handleclose} />
        <span className="title"></span>
        <span className="tip">快去完成打卡任务吧！</span>
        <Button className="know" onClick={this.handleknow} />
      </div>
    );
  }
}
export default Finish_resign;
